Bug 36578 - cups-printers listener doesn't properly reload samba
cups-printers listener doesn't properly reload samba
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Printserver
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Arvid Requate
Stefan Gohmann
: interim-4
Depends on:
Blocks: 37017
  Show dependency treegraph
 
Reported: 2014-11-11 17:53 CET by Arvid Requate
Modified: 2014-11-26 07:08 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate univentionstaff 2014-11-11 17:53:01 CET
The cups-printers listener doesn't properly reload samba:


10.11.14 16:26:09.638  LISTENER    ( WARN    ) : cups-printers: info: univention-lpadmin -u allow:all -o auth-info-required=none -p printer1dcs -v file:/tmp/printer1dcs -E
Reloading /etc/samba/smb.conf: smbd.
Usage: /etc/init.d/samba-ad-dc {start|stop|restart|force-reload|status}


This causes issues with default samba printer share options not getting applied (like "force printername").
Comment 1 Arvid Requate univentionstaff 2014-11-11 18:29:33 CET
I adjusted the listener, some testing and changelog required.
Comment 2 Arvid Requate univentionstaff 2014-11-12 10:14:51 CET
The samba reload code has been improved to work with Samba3 and Samba4 and avoid duplicate reloads. Changelog added.
Comment 3 Stefan Gohmann univentionstaff 2014-11-13 06:52:18 CET
OK, a reload is done while creating a printer. The printer is available under Windows after the reload.

Changelog: OK
Comment 4 Stefan Gohmann univentionstaff 2014-11-26 06:55:17 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".